Loading...
Searching...
No Matches
Catch::TextFlow Namespace Reference

## Functions

static bool | isBoundary (AnsiSkippingString const &line, AnsiSkippingString::const_iterator it)
std::ostream & | operator<< (std::ostream &os, Column const &col)
Column | Spacer (size_t spaceWidth)
std::ostream & | operator<< (std::ostream &os, Columns const &cols)
Columns | operator+ (Column const &lhs, Column const &rhs)
Columns | operator+ (Column &&lhs, Column &&rhs)
Columns & | operator+= (Columns &lhs, Column const &rhs)
Columns & | operator+= (Columns &lhs, Column &&rhs)
Columns | operator+ (Columns const &lhs, Column const &rhs)
Columns | operator+ (Columns &&lhs, Column &&rhs)

## Function Documentation

## isBoundary()

static bool Catch::TextFlow::isBoundary | ( | AnsiSkippingString const & | line,
|  | AnsiSkippingString::const_iterator | it )

static

## operator+() [1/4]

Columns Catch::TextFlow::operator+ | ( | Column && | lhs,
|  | Column && | rhs )

## operator+() [2/4]

Columns Catch::TextFlow::operator+ | ( | Column const & | lhs,
|  | Column const & | rhs )

## operator+() [3/4]

Columns Catch::TextFlow::operator+ | ( | Columns && | lhs,
|  | Column && | rhs )

## operator+() [4/4]

Columns Catch::TextFlow::operator+ | ( | Columns const & | lhs,
|  | Column const & | rhs )

## operator+=() [1/2]

Columns & Catch::TextFlow::operator+= | ( | Columns & | lhs,
|  | Column && | rhs )

## operator+=() [2/2]

Columns & Catch::TextFlow::operator+= | ( | Columns & | lhs,
|  | Column const & | rhs )

## operator<<() [1/2]

std::ostream & Catch::TextFlow::operator<< | ( | std::ostream & | os,
|  | Column const & | col )

## operator<<() [2/2]

std::ostream & Catch::TextFlow::operator<< | ( | std::ostream & | os,
|  | Columns const & | cols )

## Spacer()

Column Catch::TextFlow::Spacer | ( | size_t | spaceWidth | ) |

Here is the call graph for this function:
Here is the caller graph for this function: